Match a list of VAT numbers to recipients that have an active partner integration for a specific tenant.
const url = 'https://sender.api.kivra.com/v2/tenant/example/companymatch/vatnr_with_active_partner_integration';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"list":["SE559408724801","SE556917354401","SE556840226601"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sender.api.kivra.com/v2/tenant/example/companymatch/vatnr_with_active_partner_integration \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "list": [ "SE559408724801", "SE556917354401", "SE556840226601" ] }'This resource is used to match a list of Companies to check that they have an active integration with a partner fetching from their company inbox and are eligible for receiving Content from a specific Tenant.
Note: This is only for specific use cases, and will not give you all eligible recipients. You most likely want to use the regular company match.
The request contains a list of VAT numbers to be matched, and the response is a filtered subset of said list containing only those VAT numbers matching a Company Recipient for which the Tenant is eligible to send Content to, and have an active partner integration.
Note: If none of the provided VAT numbers match a Recipient eligible to receive content from the given Tenant, an empty list will be returned.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The Tenant key that the matching should be done on behalf of.
Request Bodyrequired
Section titled “Request Bodyrequired”List of VAT numbers to be matched. The payload can be up to 10MB in size, corresponding to about 500.000 VAT numbers.
object
List of VAT Numbers
Example
{ "list": [ "SE559408724801", "SE556917354401", "SE556840226601" ]}Responses
Section titled “Responses”Filtered list of VAT numbers that matched.
object
List of VAT Numbers
Example
{ "list": [ "SE556840226601", "SE559408724801" ]}Payload exceeded 10MB — try splitting into multiple calls instead.